Package org.eclipse.rdf4j.repository.optimistic

## Class ModificationTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.optimistic.ModificationTest

-     public class ModificationTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModificationTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUp()` |
    `static void` | `setUpClass()` |
    `void` | `tearDown()` |
    `void` | `testAdd()` |
    `void` | `testAddIn()` |
    `void` | `testAutoCommit()` |
    `void` | `testCancel()` |
    `void` | `testInsertData()` |
    `void` | `testInsertDataAutoCommit()` |
    `void` | `testMove()` |
    `void` | `testMoveOut()` |
    `void` | `testRemove()` |
    `void` | `testRemoveDuplicate()` |
    `void` | `testRemoveFrom()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModificationTest

          public ModificationTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testAdd

          public void testAdd()
                       throws Exception

      Throws:
        `Exception`

    - #### testAutoCommit

          public void testAutoCommit()
                              throws Exception

      Throws:
        `Exception`

    - #### testInsertData

          public void testInsertData()
                              throws Exception

      Throws:
        `Exception`

    - #### testInsertDataAutoCommit

          public void testInsertDataAutoCommit()
                                        throws Exception

      Throws:
        `Exception`

    - #### testRemove

          public void testRemove()
                          throws Exception

      Throws:
        `Exception`

    - #### testAddIn

          public void testAddIn()
                         throws Exception

      Throws:
        `Exception`

    - #### testRemoveFrom

          public void testRemoveFrom()
                              throws Exception

      Throws:
        `Exception`

    - #### testMove

          public void testMove()
                        throws Exception

      Throws:
        `Exception`

    - #### testMoveOut

          public void testMoveOut()
                           throws Exception

      Throws:
        `Exception`

    - #### testCancel

          public void testCancel()
                          throws Exception

      Throws:
        `Exception`

    - #### testRemoveDuplicate

          public void testRemoveDuplicate()
                                   throws Exception

      Throws:
        `Exception`